9
7 10 3
..x.o.o
.x..ox.
....x.x
x..xo..
o...oo.
.......
xo...o.
....o.x
.......
x......
14 7 6
.x.xoxooo.o.xo
xo.x.o.xxxxxxx
xoxoxxoox.oxoo
o..xox.o.o.ooo
..xxxoxxx.ooox
xoxoxoxoooxoo.
ooxxx.ooox.xx.
14 16 10
ooxoxxxoxxoxxx
xxxxoxxooxxoxo
oxoxxoxxxooxxo
oxoxxxoxoxooxo
xxoxxxxoxxxooo
oxxxoxxooooxxo
xoooxxxoxxooxo
oooooxooxxoxxx
oooxoxooooooxx
oxoxxxoooxxxxo
ooxoooooxooxoo
oxxoxxoxoxxoxx
xoxoooxoxoxxxo
oxoxoxoooooxxx
xxxoxxooxxooxx
xoxxoxoooooooo
22 13 2
.................x....
.......o..............
.......o..............
................x.....
...........o..........
..................o...
x.........x...........
........x........x....
....o.................
..............o.......
......................
......o.........x.....
.o........x...........
10 8 7
x.xx..o.xo
oxoxxoxxxo
x.oooooxxo
o.xooooxxo
ox...oooo.
xxx.xoox.o
o.xxx..oxo
oxxxxoxxoo
23 5 5
xoxx.ooxooxo.xxoxxox.xx
oo.xxxxox.oooxooxooxxo.
xxxoooxox.ooxoxx.oo.xoo
oooxooxxo.xoxxoxoxoxoxo
oooxxxx.xooxoxxxoxooxox
12 14 6
o.xooo.x.oxo
.oxoxoxoxxxo
ooxxoxxx.xoo
oooo.xoxxoox
xxxxxooxxx.o
o..xxoxxxxxx
oooox.ooxxx.
.ox.xoo.ooxx
xxxxxooooxoo
xx.ooxooxoxo
.oo.xoxxooox
ooxox.oo.xo.
oxxooo.xxoxx
xox.ooxxooxx
10 10 3
.x.oo.x...
xx.o.o...o
........ox
ox..o..xx.
........xo
.o.o...o.o
..x......o
...o.xx...
........o.
..x..xx..x
3 3 1
...
x..
...
